Package io.dapr.v1

# Class DaprAppCallbackProtos

java.lang.Object
io.dapr.v1.DaprAppCallbackProtos

    public final class DaprAppCallbackProtos
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `DaprAppCallbackProtos.BindingEventRequest` | BindingEventRequest represents input bindings event.
  `static interface` | `DaprAppCallbackProtos.BindingEventRequestOrBuilder` |
  `static class` | `DaprAppCallbackProtos.BindingEventResponse` | BindingEventResponse includes operations to save state or send data to output bindings optionally.
  `static interface` | `DaprAppCallbackProtos.BindingEventResponseOrBuilder` |
  `static class` | `DaprAppCallbackProtos.ListInputBindingsResponse` | ListInputBindingsResponse is the message including the list of input bindings.
  `static interface` | `DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder` |
  `static class` | `DaprAppCallbackProtos.ListTopicSubscriptionsResponse` | ListTopicSubscriptionsResponse is the message including the list of the subscribing topics.
  `static interface` | `DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder` |
  `static class` | `DaprAppCallbackProtos.TopicEventRequest` | TopicEventRequest message is compatiable with CloudEvent spec v1.0 https://github.com/cloudevents/spec/blob/v1.0/spec.md
  `static interface` | `DaprAppCallbackProtos.TopicEventRequestOrBuilder` |
  `static class` | `DaprAppCallbackProtos.TopicSubscription` | TopicSubscription represents topic and metadata.
  `static interface` | `DaprAppCallbackProtos.TopicSubscriptionOrBuilder` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()` |
  `static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)` |
  `static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)

  - ### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)

  - ### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()